categories:
  - Server
questions:

  # Config
  - variable: config.imagePullPolicy
    description: ''
    type: enum
    options:
      - IfNotPresent
      - Always
    required: true
    label: 'pull policy'
    group: Config
  - variable: config.updateStrategy
    description: ''
    type: enum
    options:
      - Recreate
      - RollingUpdate
    required: true
    label: 'update strategy'
    group: Config
  - variable: config.debug
    description: ''
    type: boolean
    required: true
    label: debug
    group: Config

  # Persistence
  - variable: persistence.enabled
    description: ''
    type: boolean
    required: true
    label: enabled
    show_subquestion_if: true
    group: Persistence
    subquestions:
      - variable: persistence.size.minio
        description: ''
        type: string
        required: true
        label: 'minio size'
      - variable: persistence.storageClass
        description: ''
        type: storageclass
        required: false
        label: 'storage class'
      - variable: persistence.accessMode
        description: ''
        type: enum
        options:
          - ReadWriteOnce
          - ReadWriteMany
          - ReadOnlyMany
        required: false
        label: 'access mode'
      - variable: persistence.existingClaim.minio
        description: ''
        type: string
        required: false
        label: 'minio existing claim'

  # # Networking
  # - variable: ingress.minio.enabled
  #   description: ''
  #   type: boolean
  #   label: 'minio ingress enabled'
  #   show_subquestion_if: true
  #   group: Networking
  #   subquestions:
  #     - variable: ingress.minio.tls
  #       description: ''
  #       type: boolean
  #       required: true
  #       label: 'minio ingress tls'
  #     - variable: ingress.minio.hostname
  #       default: xip.io
  #       description: ''
  #       type: hostname
  #       required: true
  #       label: 'minio ingress hostname'
  #     - variable: ingress.minio.issuer.name
  #       description: ''
  #       type: enum
  #       show_if: ingress.minio.tls=true
  #       options:
  #         - none
  #         - cloudflare-staging
  #         - cloudflare-prod
  #         - letsencrypt-staging
  #         - letsencrypt-prod
  #         - selfsigned
  #       required: true
  #       label: 'minio ingress issuer name'
  #     - variable: ingress.minio.certificate
  #       description: ''
  #       type: string
  #       show_if: ingress.minio.tls=true&&ingress.minio.issuer.name=none
  #       required: false
  #       label: 'minio ingress certificate'
  # - variable: service.minio.type
  #   description: ''
  #   type: enum
  #   show_if: ingress.minio.enabled=false
  #   options:
  #     - ClusterIP
  #     - LoadBalancer
  #     - NodePort
  #   required: true
  #   label: 'minio service type'
  #   group: Networking
  # - variable: service.minio.nodePorts.http
  #   description: ''
  #   type: int
  #   required: false
  #   min: 30000
  #   max: 32767
  #   show_if: service.minio.type=NodePort&&ingress.minio.enabled=false
  #   label: 'minio http node port'
  #   group: Networking
  # - variable: service.minio.lbPorts.http
  #   description: ''
  #   type: int
  #   min: 0
  #   max: 65535
  #   required: true
  #   show_if: service.minio.type=LoadBalancer&&ingress.minio.enabled=false
  #   label: 'minio http lb port'
  #   group: Networking

  # Images
  - variable: images.minio.repository
    description: ''
    type: string
    required: true
    label: 'minio repository'
    group: Images
  - variable: images.minio.tag
    description: ''
    type: string
    required: true
    label: 'minio tag'
    group: Images
